import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.HeadlessException;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JTextArea;

public class PrimeListerFrame extends JFrame {

    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new PrimeListerFrame().setVisible(true);
            }
        });
    }
    private JTextArea primesArea;

    public PrimeListerFrame() throws HeadlessException {
        setTitle("Prime lister");
        setLocation(30, 40);
        setSize(800, 600);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLayout(new BorderLayout());
        setJMenuBar(new PrimeListerMenu());
        primesArea = new JTextArea("2, 3, ");
        getContentPane().add(primesArea, BorderLayout.CENTER);
    }

    private class PrimeListerMenu extends JMenuBar {

        public PrimeListerMenu() {
            JMenu plMenu = new JMenu("Prime listing");
            add(plMenu);
            plMenu.add(startPrimeListingAction);
            plMenu.add(stopPrimeListingAction);
        }
    }
    private Action startPrimeListingAction = new AbstractAction("Start") {
        @Override
        public void actionPerformed(ActionEvent e) {
        }
    };
    private Action stopPrimeListingAction = new AbstractAction("Stop") {
        @Override
        public void actionPerformed(ActionEvent e) {
        }
    };
}
