package threads;

/*
 * Készítsünk programot, amely 0 és 9 közti számokat ír ki a konzolra
 */
public class Threads1_2 {

    public static void main(String[] args) {
        // 10 db párhuzamosan futó szálként való megoldás
        for (int i = 0; i < 10; i++) {
            final int number = i;
            NumberPrinter numberPrinter 
                    = new NumberPrinter(number); // új szál típusú objektum
            numberPrinter.start(); // párhuzamos szál indítása
        }
    }

    private static class NumberPrinter extends Thread {

        private final int number;

        public NumberPrinter(int number) {
            this.number = number;
        }

        /*
         * Minden szál run() függvénye definiálja, hogy mit kell futás
         * közben a szálnak tennie
         */
        @Override
        public void run() {
            while (true) {
                System.out.println(number);
                yield(); // tájékoztatja az ütemezőt, hogy nem kell több CPU-idő
            }
        }
    }
}
