package threads;

import java.io.IOException;
import java.util.Random;
import java.util.Timer;
import java.util.TimerTask;

/*
 * Készítsünk programot, amely 1 másodpercenként kiír egy betűt a konzolra,
 * amíg a konzolra be nem írunk valamit.
 */
public class Threads3_2 {

    public static void main(String[] args) throws IOException {
        CharacterPrinter characterPrinter = new CharacterPrinter();
        Timer timer = new Timer(); // egy időzítőt hozunk létre
        timer.schedule(characterPrinter, 1000, 1000); // az időzítő indítása
        System.in.read();
        timer.cancel(); // az időzítő leállítása
    }

    /*
     * Az időzítő működéséhez egy TimerTask szükséges, amely a run()
     * függvényével azt definiálja, hogy mit kell tenni egy időzítési pillanatban
     */
    private static class CharacterPrinter extends TimerTask {

        private static Random random = new Random();

        @Override
        public void run() {
            System.out.println((char) (random.nextInt(26) + 97));
        }
    }
}
