package threads;

/*
 * Készítsünk programot, amely 0 és 9 közti számokat ír ki a konzolra
 */
public class Threads1 {

    public static void main(String[] args) {
        // 10 db párhuzamosan futó szálként való megoldás
        for (int i = 0; i < 10; i++) {
            final int number = i;
            new Thread() { // új szál típusú objektum

                /*
                 * Minden szál run() függvénye definiálja, hogy mit kell futás
                 * közben a szálnak tennie
                 */
                @Override
                public void run() {
                    while (true) {
                        System.out.println(number);
                        yield(); // tájékoztatja az ütemezőt, hogy nem kell több CPU-idő
                    }
                }
            }.start(); // elindítja a párhuzamos szálat
        }
    }
}
