package threads;

import java.io.IOException;
import java.util.Random;

/*
 * Készítsünk programot, amely 1 másodpercenként kiír egy betűt a konzolra,
 * amíg a konzolra be nem írunk valamit.
 */
public class Threads3 {

    public static void main(String[] args) throws IOException {
        CharacterPrinter characterPrinter = new CharacterPrinter();
        new Thread(characterPrinter).start();
        System.in.read();
        characterPrinter.stop();
    }

    private static class CharacterPrinter implements Runnable {

        private boolean running = true;
        private static Random random = new Random();

        @Override
        public void run() {
            while (running) {
                System.out.println((char) (random.nextInt(26) + 97));
                try {
                    Thread.sleep(1000);
                } catch (InterruptedException ex) {
                    stop();
                }
            }
        }

        public void stop() {
            running = false;
        }
    }
}
